Bug 236212 - incorrect format for french number format
incorrect format for french number format
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 675259 688720 1047909
  Show dependency treegraph
 
Reported: 2007-04-12 11:15 EDT by Andreas Faust
Modified: 2016-11-24 07:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 675259 (view as bug list)
Environment:
Last Closed: 2007-10-04 04:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Faust 2007-04-12 11:15:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
In french you write a number like "8 234,00".
it's correct in the mon_thousands_sep, but incorrect in thousands_sep.
thousands_sep is empty .. 

Version-Release number of selected component (if applicable):
ALL

How reproducible:
Always


Steps to Reproduce:
print a number >1000 with french locale setting.

Actual Results:
it writes 12435,78 instead of "12 435,78"

Expected Results:
"12 435,78" shall be written

Additional info:
Comment 1 Jakub Jelinek 2007-04-13 06:55:31 EDT
You need to back this up with official national standard documents that codify
it, or if such things don't exist at least with newspaper references etc.
and ideally get an agreement from the locale author.
Also, if a change is really needed, changing just thousands_sep
isn't enough, the grouping needs changes too and a question is what
space character should be used (<U0020>, <U00A0>, some other Unicode space).
Comment 2 Thomas Schwanhäuser 2007-05-03 16:36:22 EDT
Hi,

I would suggest three references:

1.) Wikipedia lists an example (although without source)at 
http://en.wikipedia.org/wiki/Decimal_separator#Examples_of_use in the first 
line.

2.) Microsoft Windows does it like Andreas described it

3.) The French financial webpage http://www.boursorama.com/ displays the number 
like Andreas described it (see the examples on the top right)

And last but not least: It's already correct in mon_thousands_sep ;-)


Please let me know if you need more references.


Regards your question about which character is useful, I would take the same 
one used in mod_thousands_sep





Best regards,


Thomas
Comment 3 Ulrich Drepper 2007-05-06 18:22:04 EDT
1.  is not trustworthy.  2. is a joke, right?  3. shows financial data which is
already treated this way.

Show real evidence, government documents with non-monetary numbers.
Comment 4 Andreas Faust 2007-06-08 09:18:41 EDT
Hi,
even the french newspapers do it that way.
Have a look at "http://www.lemonde.fr/" especially "l'Economie"
(http://www.lemonde.fr/web/sequence/0,2-3234,1-0,0.html), where you can see
indexes of stocks (no monetary numbers), they are written like described.

if you don't believe a website of one of the famoust french newspapers, i think
any newspaper at any local dealer should show the same.

Is this enough evidence ?
Comment 5 Andreas Faust 2007-06-08 09:25:50 EDT
http://www.assemblee-nationale.fr/12/cr-cpro/06-07/c0607024.asp#P12_215
have a look at this .. there is it also like described, and its from the
government..


I doubt i can get much closer than that .. 
Comment 6 Ulrich Drepper 2007-09-30 15:15:38 EDT
I've changed the upstream cvs version.
Comment 7 Jakub Jelinek 2007-10-04 04:04:04 EDT
In glibc-2.6.90-17 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.